Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

connection-id
string

Connection ID for the target bank

idempotency-key
string
required

Unique key to ensure idempotency of the request

signature
string
required

SHA-256 signature of client_secret + ";" + idempotency-key

Path Parameters

category_id
string
required

Category ID

biller_id
string
required

Biller ID

bill_reference
string
required

Bill reference

Body

application/json
amount
number
required

The customer identifier

Example:

3

source_account_number
string
required

The source account number

Example:

"0123456789"

payer_info
object
required
product_info
object
custom_properties
object[]

Additional fields for future expansion

Response

Bill payment successful

status
string
required
Example:

"00"

message
string
required
Example:

"The process was completed successfully"

data
object
required